Log4j Version 1.2.7: Class PropertyGetter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.config
Class PropertyGetter

    java.lang.Object
      |
      +--org.apache.log4j.config.PropertyGetter

public class PropertyGetter
extends Object

Used for inferring configuration information for a log4j's component.

Author:
  Anders Kristensen

Inner Class Summary
`static interface` | `PropertyGetter.PropertyCallback`

Field Summary
`protected static Object[]` | `NULL_ARG`
`protected Object` | `obj`
`protected PropertyDescriptor[]` | `props`

Constructor Summary
`PropertyGetter(Object obj)` Create a new PropertyGetter for the specified Object.

Method Summary
`static void` | `getProperties(Object obj, PropertyGetter.PropertyCallback callback, String prefix)`
`void` | `getProperties(PropertyGetter.PropertyCallback callback, String prefix)`
`protected boolean` | `isHandledType(Class type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL_ARG

    protected static final Object[] NULL_ARG

### obj

    protected Object obj

### props

    protected PropertyDescriptor[] props

Constructor Detail

### PropertyGetter

    public PropertyGetter(Object obj)
                   throws IntrospectionException

  Create a new PropertyGetter for the specified Object. This is done in prepartion for invoking `getProperties(PropertyGetter.PropertyCallback, String)` one or more times.
  Parameters:
    `obj` - the object for which to set properties

Method Detail

### getProperties

    public static void getProperties(Object obj,
                                     PropertyGetter.PropertyCallback callback,
                                     String prefix)

### getProperties

    public void getProperties(PropertyGetter.PropertyCallback callback,
                              String prefix)

### isHandledType

    protected boolean isHandledType(Class type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2002 Apache Software Foundation.